API documentation¶
Logging in with the Live Documentation¶
The live documentation links connect directly to our Swagger docs on our CI server. To use the API you’ll first need to get an access token from the Auth service, and then you’ll need to give that token when using one of the RESTful operations.
Obtaining an access token:
- goto the Auth service’s POST /api/oauth/token
- click on
Authorizein the top right of the page - in the box that has popped-up, enter username
user-clientand passwordchangeme - click
Authorizeunderpassword - enter the username
administratorand passwordpassword - click
Try it out! - In the
Response bodybox, copy the UUID. e.g."access_token": "a93bcab7-aaf5-43fe-9301-76c526698898"copya93bcab7-aaf5-43fe-9301-76c526698898to use later. - Paste the UUID you just copied into any endpoint’s
access_tokenfield.
Auth Service¶
Security credentials, Authentication and Authorization. Uses OAuth2.
Reference Data Service¶
Provides the reference data for the rest of the processes: facilities, programs, products, etc.
Requisition Service¶
Requisition (pull) based replenishment process.
Notification Service¶
Notifying users when their attention is needed.